<template>
  <div id="app">
    <h2 class="title">Insurance Quoter</h2>
    <keep-alive>
      <component :is="currentView"></component>
    </keep-alive>
  </div>
</template>

<script>
import Forms from './components/Forms'

export default {
  name: 'app',
  data () {
    return {
      selected: 'forms',
      currentView: 'forms'
    }
  },
  components: {
    forms: Forms,
  },
}
</script>

<style>
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
  margin: 0 auto;
  margin-top: 60px;
  width: 70%;
}
.title {
  float:right;
  border: 1px solid #888;
  border-radius: 5px;
  padding: 10px;
  background: #1d1d1d;
  color: white;
}
</style>